Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83212 - /lib/libc.so.6 seems to be incorrectly buildt: accesses errno directly
Summary: /lib/libc.so.6 seems to be incorrectly buildt: accesses errno directly
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: glibc
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-31 11:32 UTC by Jon Haugsand
Modified: 2016-11-24 15:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-01 15:51:42 UTC


Attachments (Terms of Use)

Description Jon Haugsand 2003-01-31 11:32:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When trying to install Oracle 9i on my Phoebe laptop, the installation process
stopped and the error message was: 

  java.lang.UnsatisfiedLinkError:
/tmp/OraInstall2003-01-31_10-13-25AM/libactionUnix22.so:
/tmp/OraInstall2003-01-31_10-13-25AM/libactionUnix22.so: symbol errno, version
GLIBC_2.0 not defined in file libc.so.6 with link time reference

Investigating, I tried the following:

 ldd /lib/libc.so.6 
Incorrectly built binary which accesses errno, h_errno or _res directly. Needs
to be fixed.
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Do the following: 'ldd /bin/libc.so.6'
2.
3.
    

Actual Results:  Incorrectly built binary which accesses errno, h_errno or _res
directly. Needs to be fixed.
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)



Expected Results:  Something like:

        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)


Additional info:

Comment 1 Jakub Jelinek 2003-02-01 15:51:42 UTC
This has been fixed in rawhide glibc (I think the fix made it into 2.3.1-37).
This doesn't fix Oracle, which needs to be fixed by Oracle (or workaround
by exporting LD_ASSUME_KERNEL=2.2.5 in the environment).


Note You need to log in before you can comment on or make changes to this bug.